
#ifndef SPIELER_H
#define SPIELER_H SPIELER_H

#include <cstdlib>
//#include "Wippe.h"
#include "BewGewicht.h"

/// \brief Automatisch gesteuerter Spieler.
///
/// Person, die auf der Wippe steht und versucht, die Bewegung
/// des Roboters auszugleichen. Zur Steuerung dient ein PID-Regler.

//class BewGewicht;
//class Wippe;


class Spieler: public BewGewicht
{	//!!!HIER WIRD DER FEHLER ANGEZEIGT
	private:
		/// Proportional-Parameter des PID-Controllers
		float proportionalK;
		/// Integral-Parameter des PID-Controllers
		float integralK;
		/// Ableitungs-Parameter des PID-Controllers
		float derivativeK;

	public:
		Spieler(float m, float pK, float iK, float dK);	
		void init(float min, float max);
		void simulationsSchritt(float deltaT);
};
#endif

