
#ifndef BewGewicht_H
#define BewGewicht_H BewGewicht_H

#include <cstdlib>
// #include "Wippe.h"


/// \brief Hauptklasse
class Wippe;


class BewGewicht{
	protected:
		/// erlaubte Position auf der Wippe
		float m_fPosMinWippe;		
		float m_fPosMaxWippe;		
		/// Masse in kg
		float masse;		
		/// Position in m
		float position;			
		/// Vorzeichen der Position, um linke und rechte Seite
		/// zu unterschieden
		int vorzeichen;
		/// Zeiger auf die Wippe, auf der sich das Gewicht befindet
		Wippe *wippe;
		/// Geschwindigkeit in m/s
		float v;			
		/// Beschleunigung in m/s*s
		float a;			
	public:
		virtual void init(float min, float max)=0;
		/// Lesender Zugriff auf die Masse des Spielers
		float getMasse() const { return masse; }	
		/// Lesender Zugriff auf die Position des Spielers
		float getPosition() const { return position; }	
		void setPosition(float p);
		void setWippe(Wippe *w);
		virtual void simulationsSchritt(float deltaT)=0;		
};
#endif
